Summary:	A D-Bus service which runs odd jobs on behalf of client applications
Name:		oddjob
Version:	0.31.5
Release:	2
License:	BSD
Group:		System/Base
Url:		http://www.fedorahosted.org/oddjob
Source0:	http://fedorahosted.org/released/oddjob/%{name}-%{version}.tar.gz
Source1:	http://fedorahosted.org/released/oddjob/%{name}-%{version}.tar.gz.sig
Patch0:		oddjob-0.31.5-check.patch
Patch1:		oddjob-0.31.5-pamdoc.patch
Patch2:		oddjob-0.31.5-noumask.patch
BuildRequires:	dbus-x11
BuildRequires:	docbook-dtd45-xml
BuildRequires:	xmlto
BuildRequires:	openldap-devel
BuildRequires:	pam-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libselinux)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(systemd)
Requires(post,preun,postun):	systemd

%description
oddjob is a D-Bus service which performs particular tasks for clients which
connect to it and issue requests using the system-wide message bus.

%files
%doc *.dtd COPYING NEWS QUICKSTART doc/oddjob.html src/reload
%doc sample-install-root/sample
%{_unitdir}/oddjobd.service
%{_bindir}/oddjob_request
%{_sbindir}/oddjobd
%config(noreplace) %{_sysconfdir}/dbus-*/system.d/oddjob.conf
%config(noreplace) %{_sysconfdir}/oddjobd.conf
%dir %{_sysconfdir}/oddjobd.conf.d
%config(noreplace) %{_sysconfdir}/oddjobd.conf.d/oddjobd-introspection.conf
%dir %{_sysconfdir}/%{name}
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/sanity.sh
%{_mandir}/man1/oddjob_request.1*
%{_mandir}/man5/oddjob.conf.5*
%{_mandir}/man5/oddjobd.conf.5*
%{_mandir}/man5/oddjobd-introspection.conf.5*
%{_mandir}/man8/oddjobd.8*

%post
%systemd_post oddjobd.service

%postun
%systemd_postun oddjobd.service

%preun
%systemd_preun oddjobd.service


#----------------------------------------------------------------------------

%package mkhomedir
Summary:	An oddjob helper which creates and populates home directories
Group:		System/Base
Requires:	%{name} = %{EVRD}

%description mkhomedir
This package contains the oddjob helper which can be used by the
pam_oddjob_mkhomedir module to create a home directory for a user
at login-time.

%files mkhomedir
%doc src/mkhomedirfor src/mkmyhomedir
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/mkhomedir
/%{_lib}/security/pam_oddjob_mkhomedir.so
%{_mandir}/man5/oddjob-mkhomedir.conf.5*
%{_mandir}/man5/oddjobd-mkhomedir.conf.5*
%{_mandir}/man8/pam_oddjob_mkhomedir.8*
%config(noreplace) %{_sysconfdir}/dbus-*/system.d/oddjob-mkhomedir.conf
%config(noreplace) %{_sysconfdir}/oddjobd.conf.d/oddjobd-mkhomedir.conf

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .check
%patch1 -p1 -b .pamdoc
%patch2 -p1 -b .noumask

%build
%configure2_5x \
	--disable-static \
	--enable-pie \
	--enable-now \
	--with-selinux-acls \
	--with-selinux-labels \
	--without-python \
	--enable-xml-docs \
	--enable-compat-dtd \
	--disable-dependency-tracking \
	--enable-systemd \
	--disable-sysvinit
%make

%install
%makeinstall_std

if ! test -d %{buildroot}/%{_lib}/security ; then
	mkdir -p %{buildroot}/%{_lib}/security
	mv %{buildroot}%{_libdir}/security/*.so %{buildroot}/%{_lib}/security/
fi

# Go ahead and build the sample layout.
mkdir -p sample-install-root/sample/{%{_sysconfdir}/{dbus-1/system.d,%{name}d.conf.d},%{_libdir}/%{name}}
install -m644 sample/oddjobd-sample.conf sample-install-root/sample/%{_sysconfdir}/%{name}d.conf.d/
install -m644 sample/oddjob-sample.conf sample-install-root/sample/%{_sysconfdir}/dbus-1/system.d/
install -m755 sample/oddjob-sample.sh sample-install-root/sample/%{_libdir}/%{name}/

# Make sure we don't needlessly make these docs executable.
chmod -x src/reload src/mkhomedirfor src/mkmyhomedir

# Make sure the datestamps match in multilib pairs.
touch -r src/oddjob-mkhomedir.conf.in %{buildroot}%{_sysconfdir}/oddjobd.conf.d/oddjobd-mkhomedir.conf
touch -r src/oddjob-mkhomedir.conf.in %{buildroot}%{_sysconfdir}/dbus-1/system.d/oddjob-mkhomedir.conf


%changelog

* Thu Jun 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.31.5-2
- (9a14f22) Bump release


